path: /build/build/libwebsockets-net-libs-2.4.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - cp libwebsockets-2.4.2.ebuild /var/git/meta-repo/kits/net-kit/net-libs/libwebsockets
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-libressl caps http-proxy libev libevent libuv sqlite3 ssl access-log peer-limits server-status smtp client lejp" emerge net-libs/libwebsockets -pv -t && \
    USE="-libressl caps http-proxy libev libevent libuv sqlite3 ssl access-log peer-limits server-status smtp client lejp" emerge -j ${JOBS} --nodeps net-libs/libwebsockets
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libwebsockets && luet-portage --dir
    /pkgdir/libwebsockets net-libs/libwebsockets && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b1bf28d6bb59ebf8118a56d3bcf9c9ce9b74a1e017746bd1ded55048a52ac7a9
  package:
    name: libwebsockets
    version: 2.4.2+1
    category: net-libs
    use_flags:
    - -libressl
    - caps
    - http-proxy
    - libev
    - libevent
    - libuv
    - sqlite3
    - ssl
    - access-log
    - peer-limits
    - server-status
    - smtp
    - client
    - lejp
    requires:
    - name: c-ares
      version: '>=0'
      category: net-dns
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: canonical libwebsockets.org websocket library
    uri:
    - https://libwebsockets.org/
    license: LGPL-2.1
    buildtimestamp: 2023-09-16 07:26:37.303059755 +0000 UTC m=+80.875699853
    labels:
      DEPEND: sys-libs/zlib http-proxy? ( net-libs/libhubbub ) caps? ( sys-libs/libcap
        ) libev? ( dev-libs/libev ) libevent? ( dev-libs/libevent ) libuv? ( dev-libs/libuv
        ) sqlite3? ( dev-db/sqlite ) ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl?
        ( dev-libs/libressl:0= ) ) dev-lang/perl sys-devel/make >=dev-util/cmake-3.9.6
      IUSE: +http2 +ssl access-log caps cgi client generic-sessions http-proxy ipv6
        lejp libev libevent libressl libuv peer-limits server-status socks5 smtp sqlite3
        static-libs +zip
      RDEPEND: sys-libs/zlib http-proxy? ( net-libs/libhubbub ) caps? ( sys-libs/libcap
        ) libev? ( dev-libs/libev ) libevent? ( dev-libs/libevent ) libuv? ( dev-libs/libuv
        ) sqlite3? ( dev-db/sqlite ) ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl?
        ( dev-libs/libressl:0= ) )
      emerge.packages: net-libs/libwebsockets
      kit: net-kit
      original.package.name: net-libs/libwebsockets
      original.package.slot: "0"
      original.package.version: 2.4.2
    treedir: /build/packages
  package_dir: /pkgdir/libwebsockets
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d9e4860b1c03b63960e93a9f26604a544ab7713e505bd7c681920c0d95206263
compressiontype: zstd
files:
- usr/include/lejp.h
- usr/include/libwebsockets.h
- usr/include/lws-plugin-ssh.h
- usr/include/lws_config.h
- usr/lib64/cmake/libwebsockets/LibwebsocketsConfig.cmake
- usr/lib64/cmake/libwebsockets/LibwebsocketsConfigVersion.cmake
- usr/lib64/cmake/libwebsockets/LibwebsocketsTargets-gentoo.cmake
- usr/lib64/cmake/libwebsockets/LibwebsocketsTargets.cmake
- usr/lib64/libwebsockets.so
- usr/lib64/libwebsockets.so.12
- usr/lib64/pkgconfig/libwebsockets.pc
- usr/lib64/pkgconfig/libwebsockets_static.pc
- usr/share/doc/libwebsockets-2.4.2/README.md.bz2
- usr/share/libwebsockets-test-server/lws-ssh-test-keys
- usr/share/libwebsockets-test-server/lws-ssh-test-keys.pub
- var/db/pkg/net-libs/libwebsockets-2.4.2/BUILD_TIME
- var/db/pkg/net-libs/libwebsockets-2.4.2/CATEGORY
- var/db/pkg/net-libs/libwebsockets-2.4.2/CBUILD
- var/db/pkg/net-libs/libwebsockets-2.4.2/CFLAGS
- var/db/pkg/net-libs/libwebsockets-2.4.2/CHOST
- var/db/pkg/net-libs/libwebsockets-2.4.2/CONTENTS
- var/db/pkg/net-libs/libwebsockets-2.4.2/COUNTER
- var/db/pkg/net-libs/libwebsockets-2.4.2/CXXFLAGS
- var/db/pkg/net-libs/libwebsockets-2.4.2/DEFINED_PHASES
- var/db/pkg/net-libs/libwebsockets-2.4.2/DEPEND
- var/db/pkg/net-libs/libwebsockets-2.4.2/DESCRIPTION
- var/db/pkg/net-libs/libwebsockets-2.4.2/EAPI
- var/db/pkg/net-libs/libwebsockets-2.4.2/FEATURES
- var/db/pkg/net-libs/libwebsockets-2.4.2/HOMEPAGE
- var/db/pkg/net-libs/libwebsockets-2.4.2/INHERITED
- var/db/pkg/net-libs/libwebsockets-2.4.2/IUSE
- var/db/pkg/net-libs/libwebsockets-2.4.2/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libwebsockets-2.4.2/KEYWORDS
- var/db/pkg/net-libs/libwebsockets-2.4.2/LDFLAGS
- var/db/pkg/net-libs/libwebsockets-2.4.2/LICENSE
- var/db/pkg/net-libs/libwebsockets-2.4.2/NEEDED
- var/db/pkg/net-libs/libwebsockets-2.4.2/PF
- var/db/pkg/net-libs/libwebsockets-2.4.2/PROVIDES
- var/db/pkg/net-libs/libwebsockets-2.4.2/RDEPEND
- var/db/pkg/net-libs/libwebsockets-2.4.2/REQUIRES
- var/db/pkg/net-libs/libwebsockets-2.4.2/SIZE
- var/db/pkg/net-libs/libwebsockets-2.4.2/SLOT
- var/db/pkg/net-libs/libwebsockets-2.4.2/USE
- var/db/pkg/net-libs/libwebsockets-2.4.2/environment.bz2
- var/db/pkg/net-libs/libwebsockets-2.4.2/libwebsockets-2.4.2.ebuild
- var/db/pkg/net-libs/libwebsockets-2.4.2/repository
package_cacheimage: ""
runtime:
  name: libwebsockets
  version: 2.4.2+1
  category: net-libs
  use_flags:
  - -libressl
  - caps
  - http-proxy
  - libev
  - libevent
  - libuv
  - sqlite3
  - ssl
  - access-log
  - peer-limits
  - server-status
  - smtp
  - client
  - lejp
  requires:
  - name: sqlite
    version: '>=0'
    category: dev-db-3
  - name: libev
    version: '>=0'
    category: dev-libs
  - name: libevent
    version: '>=0'
    category: dev-libs
  - name: libuv
    version: '>=0'
    category: dev-libs
  - name: libhubbub
    version: '>=0'
    category: net-libs
  - name: libcap
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: canonical libwebsockets.org websocket library
  uri:
  - https://libwebsockets.org/
  license: LGPL-2.1
  labels:
    DEPEND: sys-libs/zlib http-proxy? ( net-libs/libhubbub ) caps? ( sys-libs/libcap
      ) libev? ( dev-libs/libev ) libevent? ( dev-libs/libevent ) libuv? ( dev-libs/libuv
      ) sqlite3? ( dev-db/sqlite ) ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl?
      ( dev-libs/libressl:0= ) ) dev-lang/perl sys-devel/make >=dev-util/cmake-3.9.6
    IUSE: +http2 +ssl access-log caps cgi client generic-sessions http-proxy ipv6
      lejp libev libevent libressl libuv peer-limits server-status socks5 smtp sqlite3
      static-libs +zip
    RDEPEND: sys-libs/zlib http-proxy? ( net-libs/libhubbub ) caps? ( sys-libs/libcap
      ) libev? ( dev-libs/libev ) libevent? ( dev-libs/libevent ) libuv? ( dev-libs/libuv
      ) sqlite3? ( dev-db/sqlite ) ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl?
      ( dev-libs/libressl:0= ) )
    emerge.packages: net-libs/libwebsockets
    kit: net-kit
    original.package.name: net-libs/libwebsockets
    original.package.slot: "0"
    original.package.version: 2.4.2
